gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Widget Gtk.CellEditable Gtk.Editable An Entry is a single-line text entry widget.

This widget should be used to retrieve small amounts of text from the user. A fairly large set of key bindings are supported by default. If the entered text is longer than the allocation of the widget, the widget will scroll so that the cursor position is visible.

See also the widget for displaying and editing large amounts of text.

`using System; using Gtk; class EntrySample { Entry entry; static void Main () { new EntrySample (); } EntrySample () { Application.Init (); Window win = new Window ("EntrySample"); win.SetDefaultSize (200, 150); win.DeleteEvent += new DeleteEventHandler (OnWinDelete); VBox vbox = new VBox (false, 1); win.Add (vbox); entry = new Entry ("hello world"); entry.Editable = true; entry.Visibility = true; vbox.Add (entry); CheckButton editable = new CheckButton ("Editable"); editable.Toggled += new EventHandler (OnEditableToggled); editable.Active = true; vbox.Add (editable); CheckButton visibility = new CheckButton ("Visibility"); visibility.Toggled += new EventHandler (OnVisibilityToggled); visibility.Active = true; vbox.Add (visibility); win.ShowAll (); Application.Run (); } void OnEditableToggled (object obj, EventArgs args) { entry.Editable = !entry.Editable; } void OnVisibilityToggled (object obj, EventArgs args) { entry.Visibility = !entry.Visibility; } void OnWinDelete (object obj, DeleteEventArgs args) { Application.Quit (); } }`
- Constructor
  2.12.0.0
  Construct a new entry widget
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  a , the maximum length of the entry, or 0 for no maximum.
  Creates a new with the given maximum length.

  the existence of this function is inconsistent with the rest of the Gtk API. The normal setup would be to just require the user to make an extra call to instead. It is not expected that this function will be removed, but it would be better practice not to use it.

- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  A
  Public constructor.
- Event
  2.12.0.0
  GLib.Signal("activate")
  System.EventHandler Connect to this event to be notified when the user hits 'return'.

  Connect to this event with a standard .

- Property
  2.12.0.0
  GLib.Property("activates-default")
  System.Boolean Determine whether to activate the 'default widget' in the window when the return key is pressed.

  if the default button will be activated, false otherwise.

  If the value is , pressing Enter in the entry will activate the default widget for the window containing the entry. This usually means that the dialog box containing the entry will be closed, since the default widget is usually one of the dialog buttons.

  (For experts: if the value is , the entry calls on the containing the entry, in the default handler for the event).

- Property
  2.12.0.0
  System.Single The alignment for the contents of the entry a This controls the horizontal positioning of the contents when the displayed text is shorter than the width of the entry.

  The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts

- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a Appends the given text to the contents of the widget.
- Event
  2.12.0.0
  GLib.Signal("backspace")
  System.EventHandler To be added To be added
- Event
  2.12.0.0
  GLib.Signal("changed")
  System.EventHandler When the contents of the Entry change, this event is raised.
- Event
  2.12.0.0
  GLib.Signal("copy_clipboard")
  System.EventHandler Connect to this event to be notified when the contents of the Entry are copied to the clipboard.

  Connect to this event with a standard .

- Event
  2.12.0.0
  GLib.Signal("cut_clipboard")
  System.EventHandler Connect to this event to be notified when the user 'cuts' a selection in the Entry. Connect to this event with a standard .
- Event
  2.12.0.0
  GLib.Signal("paste_clipboard")
  System.EventHandler Connect to this event to be notified when the clipboard contents are pasted into this Entry.

  Connect to this event with a standard .

- Property
  2.12.0.0
  Gtk.EntryCompletion The auxiliary completion object a All further configuration of the completion mechanism is done on completion using the API.
- Method
  2.12.0.0
  System.Void Specific implementation of Gtk.Editable.CopyClipboard for the Entry widget.
- Property
  2.12.0.0
  Gtk.Adjustment To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("cursor-position")
  System.Int32 The position of the cursor in the text of the Entry.

  The current character of the cursor.

  Use this property to manipulate the position of the cursor - it is displayed before the character with the given (base 0) index in the widget. The value must be less than or equal to the number of characters in the widget. A value of -1 indicates that the position should be set after the last character in the entry. Note that this position is in characters, not in bytes.

- Method
  2.12.0.0
  System.Void Copies any selected text to the clipboard and deletes it from the entry.
- Event
  2.12.0.0
  GLib.Signal("delete_from_cursor")
  Gtk.DeleteFromCursorHandler Connect to this event to find out when text is deleted from the Entry by the user.

  Data pertaining to this event is encapsulated in a .

- Method
  2.12.0.0
  System.Void Specific implementation of Gtk.Editable.DeleteSelection for the Entry widget. Deletes the currently selected text from the Entry.
- Method
  2.12.0.0
  System.Void `` `` Specific implementation of Gtk.Editable.DeleteText for the Entry widget.
- Property
  2.12.0.0
  System.Obsolete("Replaced by IsEditable property")
  System.Boolean Whether or not this Entry is editable.

  if this entry can be edited, otherwise.

  Set this property to false if you need to stop input into an Entry widget. For displaying textual data, it is more normal to use a instead.

- Event
  2.12.0.0
  GLib.Signal("editing_done")
  System.EventHandler Implements the EditingDone method of the interface.
- Method
  2.12.0.0
  System.Void Specific implementation of Gtk.CellEditable.FinishEditing for the Entry widget.
- Method
  2.12.0.0
  System.String `` `` The index of the first character to get, (zero-indexed). The index of the character to retrieve up to. Specific implementation of Gtk.Editable.GetChars for the Entry widget.

  A string representing the characters from , up to, but not including . If is negative, then the the characters retrieved will be those characters from to the end of the text.

- Method
  2.12.0.0
  System.Void `` `` X offset output of the layout. Y offset output of the layout. Obtains the position of the PangoLayout used to render text in the entry, in widget coordinates.

  Useful if you want to line up the text in an entry with some other text, e.g. when using the entry to implement editable cells in a sheet widget.

  -

  Also useful to convert mouse events into coordinates inside the PangoLayout, e.g. to take some action if some part of the entry text is clicked.

- Method
  2.12.0.0
  System.Boolean `` `` output variable for the character index of the selection start output variable for the character index of the end of the selection Get the the positions of the start and end of the current selection, if there is one.

  if there is a selection, otherwise.

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("has-frame")
  System.Boolean Whether or not this Entry should be surrounded by a 3D frame. if a frame surrounds this Entry, otherwise

  Unless there is a very specific reason for doing so, this property is best left to its default to ensure consistency in Entry widgets across applications.

- Event
  2.12.0.0
  GLib.Signal("insert_at_cursor")
  Gtk.InsertAtCursorHandler Connect to this event to discover when text is inserted at the cursor position - usually when the user types something in.

  Data pertaining to this event is encapsulated in an .

- Method
  2.12.0.0
  System.Int32 `` the text to add Add arbitrary text to the entry.

  The number of characters added.

  Use this method to insert a string at the current CursorPosition.

- Method
  2.12.0.0
  System.Void `` `` A A Add text to the entry just before .
- Property
  2.12.0.0
  GLib.Property("invisible-char")
  System.Char The character to display when is a The is the character displayed in the entry in place of the actual characters of when is . The default invisible character is an asterisk ('*'). If you set this to 0, then no characters will be displayed at all.
- Property
  2.12.0.0
  System.Boolean Implements the concrete version of Gtk.Editable.IsEditable, to determine if the text of the Entry can be edited.

  true if the Entry is editable, false otherwise.

- Property
  2.12.0.0
  Pango.Layout Get the object used by this Entry for text layout.

  The Pango.Layout used to render the text of this entry.

  This property is read only.

- Method
  2.12.0.0
  System.Int32 `` a To be added a To be added
- Property
  2.12.0.0
  GLib.Property("max-length")
  System.Int32 The maximum number of characters that can be placed in this Entry.

  The maximum number of characters that can currently be set in this Entry.

  This property can be useful for ensuring no more than a specific number of characters are put in an entry.

- Event
  2.12.0.0
  GLib.Signal("move_cursor")
  Gtk.MoveCursorHandler Connect to this event handler to be notified when the cursor of an Entry moves. Data pertaining to this event is passed with a .
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivated", Type=typeof(Gtk.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideBackspace", Type=typeof(Gtk.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChanged", Type=typeof(Gtk.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClipboardCopied", Type=typeof(Gtk.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClipboardCut", Type=typeof(Gtk.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClipboardPasted", Type=typeof(Gtk.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDeleteFromCursor", Type=typeof(Gtk.Entry))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEditingDone", Type=typeof(Gtk.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideInsertAtCursor", Type=typeof(Gtk.Entry))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMoveCursor", Type=typeof(Gtk.Entry))
  System.Void `` `` `` a a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePopulatePopup", Type=typeof(Gtk.Entry))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextDeleted", Type=typeof(Gtk.Entry))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextInserted", Type=typeof(Gtk.Entry))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToggleOverwrite", Type=typeof(Gtk.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideWidgetRemoved", Type=typeof(Gtk.Entry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void Causes the contents of the clipboard to be pasted into the Entry at the current cursor position.
- Event
  2.12.0.0
  GLib.Signal("populate_popup")
  Gtk.PopulatePopupHandler Raised when the popup handler needs to be filled with data.

  Data pertaining to this event is encapsulated in a .

- Property
  2.12.0.0
  System.Int32 The position of the cursor.

  the current cursor position

  The cursor is displayed before the character with the given (base 0) index in the widget. The value must be less than or equal to the number of characters in the widget. A value of -1 indicates that the position should be set after the last character in the entry. Note that this position is in characters, not in bytes.

- Method
  2.12.0.0
  System.Obsolete
  System.Void `` a Prepends the given text to the contents of the widget.
- Method
  2.12.0.0
  System.Void Specific implementation of Gtk.CellEditable.RemoveWidget for the Entry widget.
- Property
  2.12.0.0
  GLib.Property("scroll-offset")
  System.Int32 Number of pixels the entry scrolled off the screen to the left. A
- Property
  2.12.0.0
  GLib.Property("selection-bound")
  System.Int32 The length of the selected text.

  The number of selected characters.

- Method
  2.12.0.0
  System.Void `` `` Specific implementation of Gtk.Editable.SelectRegion for the Entry widget.
- Property
  2.12.0.0
  GLib.Property("shadow-type")
  Gtk.ShadowType To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` Specific implementation of Gtk.CellEditable.StartEditing for the Entry widget.
- Property
  2.12.0.0
  GLib.Property("text")
  System.String Manipulate the current text contents of an Entry.

  The current text in an Entry.

- Event
  2.12.0.0
  GLib.Signal("delete_text")
  Gtk.TextDeletedHandler Connect to this event to be notified when text is deleted from the Entry.
- Method
  2.12.0.0
  System.Int32 `` a To be added a To be added
- Event
  2.12.0.0
  GLib.Signal("insert_text")
  Gtk.TextInsertedHandler Connect to this event to be notified when text is inserted into the Entry.
- Event
  2.12.0.0
  GLib.Signal("toggle_overwrite")
  System.EventHandler Connect to this event to discover when the Overwrite state has been changed by the user. This is usually done by pressing the 'Insert' key on a keyboard.

  Connect to this event with a standard .

- Property
  2.12.0.0
  GLib.Property("truncate-multiline")
  System.Boolean Indicates if pasted text is truncated to the first line. Defaults to .
- Property
  2.12.0.0
  GLib.Property("visibility")
  System.Boolean Determine whether to display characters entered, or whether to mask them.

  true if characters are being displayed, false if they are being masked.

  This property should be used to create entry widgets for sensitive data such as passwords.

- Event
  2.12.0.0
  GLib.Signal("remove_widget")
  System.EventHandler Implements the WidgetRemoved method of the interface. This will effectively destroy the Entry.
- Property
  2.12.0.0
  GLib.Property("width-chars")
  System.Int32 Changes the size request of the entry to be about the right size for characters.

  The number of characters requested.

  Note that it changes the size request, the size can still be affected by how you pack the widget into containers. If n_chars is -1, the size reverts to the default entry size.

- Property
  2.12.0.0
  GLib.Property("xalign")
  System.Single The horizontal alignment, from 0 (left) to 1 (right). a Reversed for RTL layouts.

  Allowed values: [0,1]

  Default value: 0